﻿using FootballPredictions.JAGS;
using FootballPredictions.Mappings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FootballPredictions.DataHandling.JAGSOutputHandlers
{
    /// <summary>
    /// Saves the simulation to the database.
    /// </summary>
    public class SimulationSaver
    {
        public static Simulation SaveSimulation(PredictiveModel model)
        {
            using (var session = NHibernateConfig.OpenSession())
            {
                using (var tx = session.BeginTransaction())
                {
                    var type = model.GetType();
                    // Saves the simulation
                    var simulation = new Simulation()
                        {
                            Name = type.Name,
                        };
                    session.Save(simulation);
                    tx.Commit();
                    return simulation;
                }
            }
        }
    }
}