﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using FootballPredictions.Mappings;

namespace FootballPredictions.DataHandling.PopulateDatabase
{
    /// <summary>
    /// Populates the database with the current stage.
    /// </summary>
    public class PopulateStage
    {
        public PopulateStage()
        {
            using (var session = NHibernateConfig.OpenSession())
            {
                using (var tx = session.BeginTransaction())
                {
                    var stage = new Stage
                    {
                        StageId = Constants.STAGE_ID,
                        Country = Constants.COUNTRY,
                        League = Constants.LEAGUE,
                        Year = Constants.YEAR
                    };

                    session.SaveOrUpdate(stage);
                    tx.Commit();
                }
            }
        }
    }
}