﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using FootballPredictions.Mappings;

namespace FootballPredictions.DataHandling.PopulateDatabase
{
    /// <summary>
    /// Populates the database with the teams in the current stage.
    /// </summary>
    public class PopulateTeam
    {
        public PopulateTeam()
        {
            System.IO.StreamReader file = new System.IO.StreamReader(Constants.TEXT_FILES + Constants.STAGE_ID + "/" + "legacy-matches.csv");

            string line;

            while ((line = file.ReadLine()) != null)
            {
                string[] splitLine = line.Split(',');
                var teamId = Convert.ToInt32(splitLine[0]);
                var teamName = splitLine[1];
                using (var session = NHibernateConfig.OpenSession())
                {
                    using (var tx = session.BeginTransaction())
                    {
                        var team = new Team
                        {
                            TeamId = teamId,
                            Name = teamName
                        };

                        session.SaveOrUpdate(team);
                        tx.Commit();
                    }
                }
            }
            
            
        }
    }
}