﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FootballPredictions.JAGS
{
    /// <summary>
    /// Used in the data intensive prediction models.
    /// </summary>
    public class PlayerIndividual
    {
        public int Id { get; set; }

        public int GoalsScoredSoFar = 0;
        public int MinutesPlayedSoFar = 0;
        public int ScoringAttSoFar = 0;
        public int PassesSoFar = 0;
        public int SuccessfulPassesSoFar = 0;

        public int KeyPassesSoFar = 0;
        public int OnTargetScoringAttSoFar = 0;
        public int TotalThroughBallSoFar = 0;
        public double PassingAccuracySoFar = 0;
        public int DribblesSoFar = 0;
        public int TotalAttAssist = 0;

        public int TotalTackle = 0;
        public int LastManTackle = 0;
        public int TotalClearance = 0;
        public int SixYardBlock = 0;
        public int Interception = 0;
        public int DuelWon = 0;

        public int[,] Matches = new int[380, 2]; // MatchId and Minutes Played
        public int[,] Goals = new int[380, 2];
        public int[,] TotalScoringAtt = new int[380, 2];
        public int[,] TotalPass = new int[380, 2];
    }
}