﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;


using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// The Odds object
    /// </summary>
    public class Odds
    {
        public virtual int OddsId { get; set; }

        public virtual double HomeOdds { get; set; }
        public virtual double DrawOdds { get; set; }
        public virtual double AwayOdds { get; set; }

        public virtual Match Match { get; set; }
        public virtual Bookmaker Bookmaker { get; set; }
    }
    /// <summary>
    /// Mapping for the database.
    /// </summary>
    public class OddsMap : ClassMapping<Odds>
    {
        public OddsMap()
        {
            Id(x => x.OddsId, m =>
            {
                m.Generator(Generators.Identity);
            });

            Property(x => x.HomeOdds);
            Property(x => x.DrawOdds);
            Property(x => x.AwayOdds);

            ManyToOne(x => x.Match, m =>
            {
                m.Cascade(Cascade.None);
            });
            ManyToOne(x => x.Bookmaker, m =>
            {
                m.Cascade(Cascade.None);
            });
        }
    }
}