﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Object representing probable line-ups.
    /// </summary>
    public class ProbableLineUp
    {
        public virtual int ProbableLineUpId { get; set; }
        public virtual Team Team { get; set; }
        public virtual Match Match { get; set; }
        
        public virtual Player Player1 { get; set; }
        public virtual Player Player2 { get; set; }
        public virtual Player Player3 { get; set; }
        public virtual Player Player4 { get; set; }
        public virtual Player Player5 { get; set; }
        public virtual Player Player6 { get; set; }
        public virtual Player Player7 { get; set; }
        public virtual Player Player8 { get; set; }
        public virtual Player Player9 { get; set; }
        public virtual Player Player10 { get; set; }
        public virtual Player Player11 { get; set; }
    }
    /// <summary>
    /// Mapping for the database.
    /// </summary>
    public class ProbableLineUpMap : ClassMapping<ProbableLineUp>
    {
        public ProbableLineUpMap()
        {
            Id(x => x.ProbableLineUpId, m =>
                {
                    m.Generator(Generators.Identity);
                });

            ManyToOne(x => x.Team, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Match, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });

            ManyToOne(x => x.Player1, m =>
                {
                    m.Cascade(Cascade.None);
                    m.NotNullable(true);
                });
            ManyToOne(x => x.Player2, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player3, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player4, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player5, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player6, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player7, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player8, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player9, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player10, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
            ManyToOne(x => x.Player11, m =>
            {
                m.Cascade(Cascade.None);
                m.NotNullable(true);
            });
        }
    }
}