﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Result object
    /// </summary>
    public class Result
    {
        public virtual int ResultId { get; set; }
        public virtual int HomeGoals { get; set; }
        public virtual int AwayGoals { get; set; }
    }
    /// <summary>
    /// Database mapping.
    /// </summary>
    public class ResultMap : ClassMapping<Result>
    {
        public ResultMap()
        {
            Id(x => x.ResultId, m =>
                {
                    m.Generator(Generators.Identity);
                });
            Property(x => x.HomeGoals);
            Property(x => x.AwayGoals);
        }
    }
}