﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Simulation object (stored when a simulation is started)
    /// </summary>
    public class Simulation
    {
        public virtual int SimulationId { get; set; }

        public virtual string Name { get; set; }
        public virtual DateTime StartTime { get; set; }
        public virtual int BurnIn { get; set; }
        public virtual int SampleCount { get; set; }
        public virtual int Chains { get; set; }

        public Simulation()
        {
            BurnIn = Constants.BURN_IN;
            SampleCount = Constants.SAMPLE_COUNT;
            Chains = Constants.CHAINS;

            StartTime = DateTime.Now;
        }
    }
    /// <summary>
    /// Mapping for the database
    /// </summary>
    public class SimulationMap : ClassMapping<Simulation>
    {
        public SimulationMap()
        {
            Id(x => x.SimulationId, m =>
            {
                m.Generator(Generators.Identity);
            });

            Property(x => x.Name);
            Property(x => x.BurnIn);
            Property(x => x.SampleCount);
            Property(x => x.Chains);
            Property(x => x.StartTime);
        }
    }
}