﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Stage/ season object.
    /// </summary>
    public class Stage
    {
        public virtual int StageId { get; set; }
        public virtual string Country { get; set; }
        public virtual string League { get; set; }
        public virtual string Year { get; set; }
    }
    /// <summary>
    /// Database mapping.
    /// </summary>
    public class StageMap : ClassMapping<Stage>
    {
        public StageMap()
        {
            Id(x => x.StageId);

            Property(x => x.Country);
            Property(x => x.League);
            Property(x => x.Year);
        }
    }
}