﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace FootballPredictions.Mappings
{
    /// <summary>
    /// Strengths of a team (results from a simulation)
    /// </summary>
    public class TeamStrength
    {
        public virtual int TeamStrengthId { get; set; }
        public virtual double Attack { get; set; }
        public virtual double Defence { get; set; }

    }
    /// <summary>
    /// Database mapping.
    /// </summary>
    public class TeamStrengthMap : ClassMapping<TeamStrength>
    {
        public TeamStrengthMap()
        {
            Id(x => x.TeamStrengthId, m =>
            {
                m.Generator(Generators.Identity);
            });
            Property(x => x.Attack);
            Property(x => x.Defence);
        }
    }
}